var table = new JSTable("#product-table", {
    serverSide : false,
    perPage : 15,
    labels: {
        placeholder: "Ara...",
        perPage: "sayfa başına kayıt",
        noRows: "Hiçbir kayıt bulunamadı!",
        info: "{rows} kayıttan {start} - {end} arası görüntüleniyor",
        loading: "Yükleniyor...",
        infoFiltered: "{rows} kayıttan {start} - {end} arası görüntüleniyor ({rowsTotal} kayıt arasından filtrelendi)"
    },
    layout: {
        top: "{search}",
        bottom: "{info}{pager}"
    }
});

document.addEventListener('click', function (e) {
    let deleteButton = e.target.closest('[data-delete]');
    if (deleteButton) {
        if (deleteButton.hasAttribute("data-href")) {
            var href = deleteButton.getAttribute("data-href");
            var url = window.location.href;
            e.preventDefault();
            CustomAlert({
                title: "Ürün Sil",
                message: "Bu ürünü silmek istediğinizden emin misiniz?",
                type: "question",
                close: true,
                showCancelButton: true,
                showCloseButton: true,
                showConfirmButton: true,
                cancelButtonText: 'Vazgeç',
                confirmButtonText: 'Sil',
                static: false
            }).then((result) => {
                if (result.value === true) {
                    window.location.href = href + "&redirect=" + url;
                }
            });
        }
    }
});

const pleaseWaitModal = new bootstrap.Modal(document.getElementById('please-wait-modal'));

document.getElementById('update-products').addEventListener('click', (e) => {
    e.preventDefault();
    pleaseWaitModal.show();
    var formData = new FormData();
    request('/admin/common/api/akakce/update-products', formData, function (data) {
        try {
            data = JSON.parse(data);
            if (!(data instanceof Object)) {
                console.log('bad data');
                pleaseWaitModal.hide();
            } else {
                if (data['status']) {
                    pleaseWaitModal.hide();
                }else{
                    pleaseWaitModal.hide();
                }
            }
        } catch (e) {
            pleaseWaitModal.hide();
            console.log(e);
        }
    });
});

document.getElementById('update-prices').addEventListener('click', (e) => {
    e.preventDefault();
    pleaseWaitModal.show();
    var formData = new FormData();
    request('/admin/common/api/akakce/update-prices', formData, function (data) {
        try {
            data = JSON.parse(data);
            if (!(data instanceof Object)) {
                console.log('bad data');
                pleaseWaitModal.hide();
            } else {
                if (data['status']) {
                    pleaseWaitModal.hide();
                }else{
                    pleaseWaitModal.hide();
                }
            }
        } catch (e) {
            pleaseWaitModal.hide();
            console.log(e);
        }
    });
});